These are chat archives for reactioncommerce/reaction

24th
Apr 2016
Tahir Hameed
@tahirh
Apr 24 2016 14:24
@zenweasel I am trying to run reaction locally but its not running.
I've tried meteor update
Tahir Hameed
@tahirh
Apr 24 2016 14:37
I also tried ./reaction reset and ./reaction but no result
vkmrishad
@vkmrishad
Apr 24 2016 16:52
Anyone share sites urls developed using reactioncommerce...... @zenweasel
Spencer Norman
@spencern
Apr 24 2016 19:38
Any thoughts on using WiredTiger vs traditional Mongo storage engine?
Brent Hoover
@zenweasel
Apr 24 2016 22:14
@tahirh When you say it’s not running..what’s happening?
Spencer Norman
@spencern
Apr 24 2016 22:18
@zenweasel have you guys run into this error yet?
meteor build . --architecture os.linux.x86_64

WARNING: The output directory is under your source tree.
         Your generated files may get interpreted as source code!
         Consider building into a different directory instead
         meteor build ../output

Errors prevented bundling:
While linking the program:
error: this app is not compatible with architecture ‘os.linux.x86_64’
Brent Hoover
@zenweasel
Apr 24 2016 22:19
Hmmm, no I haven’t seen that
Spencer Norman
@spencern
Apr 24 2016 22:19
according to this thread https://github.com/meteor/meteor/issues/6537#issuecomment-208161383 it’s fixed in 1.3.2, but reaction doesn’t seem to work with 1.3.2 yet
do you guys build like that or just docker?
Brent Hoover
@zenweasel
Apr 24 2016 22:20
when we build the docker containers in CI it should be doing a build
Spencer Norman
@spencern
Apr 24 2016 22:20
ok, that’s what I thought
I can’t get my version of reaction to work and just tried a fresh clone and that also fails for me
Brent Hoover
@zenweasel
Apr 24 2016 22:21
isn’t there a more recent version than 1.3.2?
Spencer Norman
@spencern
Apr 24 2016 22:21
yeah, 1.3.2.4
What version are you using?
I was under the assumption that anything > 1.3.1 would not work with reaction currently
Brent Hoover
@zenweasel
Apr 24 2016 22:22
it should, except as @aaronjudd noted, they seem to be putting breaking changes in each version
Spencer Norman
@spencern
Apr 24 2016 22:22
ok, I’ll play around with it
we’re sooo close to being ready to launch and then can’t get the app to even deploy :/
works great on my local though ;)
Brent Hoover
@zenweasel
Apr 24 2016 22:23
Right now, jeremyy is working on doing a 1.3 restructure, so we have sort of been paused waiting for that to finish
Spencer Norman
@spencern
Apr 24 2016 22:23
hmm
latest build specifically calls out error: reactioncommerce:reaction-logger is not compatible with architecture ‘os.linux.x86_64'
reaction-loggger
Brent Hoover
@zenweasel
Apr 24 2016 22:23
Yeah, it always seems to be reaction-logger
Spencer Norman
@spencern
Apr 24 2016 22:24
wonder if it’s the bunyan dep
that has given me trouble before
Brent Hoover
@zenweasel
Apr 24 2016 22:25
don’t know
I thought you guys were tied to an earler version, pre 1.3?
Spencer Norman
@spencern
Apr 24 2016 22:25
we were for a while, but made the transition a couple weeks ago
Brent Hoover
@zenweasel
Apr 24 2016 22:27
I can look at it and see if I see anything, but I probably can’t replicate it locally
seems like it’s a platform-specific error?
Spencer Norman
@spencern
Apr 24 2016 22:28
no worries yet, I’ll try a few more things first
if you can build, then it’s something on my machine
Brent Hoover
@zenweasel
Apr 24 2016 22:29
If Jeremy comes online I can ping him and see if knows anythig about the reaction-logger since that’s his thing
Spencer Norman
@spencern
Apr 24 2016 22:29
from most reports, it seems that it’s an osx -> deploying on linux issue
k
Brent Hoover
@zenweasel
Apr 24 2016 22:29
right, which is probably the most common use case for deployment
Spencer Norman
@spencern
Apr 24 2016 22:38
If @jshimko does come online it seems to be connected to these binary deps that bunyan uses
./.meteor/local/isopacks/reactioncommerce_reaction-logger/npm/node_modules/bunyan/node_modules/dtrace-provider/build/Release/DTraceProviderBindings.node
./packages/reaction-logger/.npm/package/node_modules/bunyan/node_modules/dtrace-provider/build/Release/DTraceProviderBindings.node
but I think I just need to figure out how to migrate to 1.3.2.4
Brent Hoover
@zenweasel
Apr 24 2016 22:44
so you are getting the build error with 1.3.1, but when you migrate to 1.3.2.4 you get the error starting up?
I just woke up so I’m a little slow
Brent Hoover
@zenweasel
Apr 24 2016 22:59
@spencern I was able to upgrade to 1.3.2.4 and build without issue
Aaron Judd
@aaronjudd
Apr 24 2016 23:30
@spencern weird since all our deployments are to linux… of some flavor..
are you building on the linux box, or building elsewhere, then pushing to a linux box?
Brent Hoover
@zenweasel
Apr 24 2016 23:33
I got the impression he was building on OSX since he was doing meteor build . --architecture os.linux.x86_64
I tried that here with a fresh clone and upgrade to 1.3.2.4 and had no issues